<?php


namespace Src\App\Table;


use Src\App\App;
use Src\Core\Table\Table;

class CategoriesTable extends Table
{
    protected $table = 'product_category';
    public function all()
    {
        return parent::all(); // TODO: Change the autogenerated stub
    }
    public function getCategories(){
        return $this->query('
            select product_category.product_id,product_category.product, tmp.*
            from product_category
            left join
                (select merchandise.product_id, count(merchandise.product_id) as `count`
                from merchandise
                group by merchandise.product_id) tmp
            on tmp.product_id = product_category.product_id
              ');
    }
    public function add($name){
        $this->execute("INSERT INTO `product_category` (`product_id`, `product`) VALUES (NULL, ?)",$name);
    }
    public function getCategoryId($name){
        $response = App::getInstance()->getDb()->query("select product_category.product_id from product_category where product_category.`product` = '{$name}'");
        if (empty($response))
            return null;
        
        return $response;
    }

}